<?php

use Acms\Contracts\ServiceProvider;
use Acms\Services\Container;

class AAPP_ImagePlaceholder_Services_Provider extends ServiceProvider
{
    /**
     * register service
     *
     * @param \Acms\Services\Container $container
     *
     * @return void
     */
    public function register(Container $container)
    {
        $container->singleton('image_placeholder', 'AAPP_ImagePlaceholder_Services_Engine');
    }

    /**
     * initialize service
     *
     * @return void
     */
    public function init()
    {
        require_once LIB_DIR . 'AAPP/ImagePlaceholder/vendor/autoload.php';

        $Hook = ACMS_Hook::singleton();
        if ( HOOK_ENABLE && class_exists('AAPP_ImagePlaceholder_Hook') ) {
            $Hook->attach('ImagePlaceholder', new AAPP_ImagePlaceholder_Hook());
        }
    }
}